<?php

namespace Mavabc\Casestudy\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CasestudiesCategoryTransformer extends TransformerAbstract
{
    public function transform(\Mavabc\Casestudy\Models\CasestudiesCategory $casestudies_category)
    {
        return [
            'id'                => $casestudies_category->getRouteKey(),
            'key'               => [
                'public'    => $casestudies_category->getPublicKey(),
                'route'     => $casestudies_category->getRouteKey(),
            ], 
            'id'                => $casestudies_category->id,
            'order_id'          => $casestudies_category->order_id,
            'name'              => $casestudies_category->name,
            'slug'              => $casestudies_category->slug,
            'status'            => $casestudies_category->status,
            'user_id'           => $casestudies_category->user_id,
            'created_at'        => $casestudies_category->created_at,
            'updated_at'        => $casestudies_category->updated_at,
            'deleted_at'        => $casestudies_category->deleted_at,
            'url'               => [
                'public'    => trans_url('casestudy/'.$casestudies_category->getPublicKey()),
                'user'      => guard_url('casestudy/casestudies_category/'.$casestudies_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$casestudies_category->status),
            'created_at'        => format_date($casestudies_category->created_at),
            'updated_at'        => format_date($casestudies_category->updated_at),
        ];
    }
}