<?php

namespace Mavabc\Casestudy\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CasestudyTransformer extends TransformerAbstract
{
    public function transform(\Mavabc\Casestudy\Models\Casestudy $casestudy)
    {
        return [
            'id'                => $casestudy->getRouteKey(),
            'key'               => [
                'public'    => $casestudy->getPublicKey(),
                'route'     => $casestudy->getRouteKey(),
            ], 
            'id'                => $casestudy->id,
            'name'              => $casestudy->name,
            'unit'              => $casestudy->unit,
            'slug'              => $casestudy->slug,
            'category_id'       => $casestudy->category_id,
            'status'            => $casestudy->status,
            'user_id'           => $casestudy->user_id,
            'description'       => $casestudy->description,
            'upload_folder'     => $casestudy->upload_folder,
            'images'            => $casestudy->images,
            'created_at'        => $casestudy->created_at,
            'updated_at'        => $casestudy->updated_at,
            'deleted_at'        => $casestudy->deleted_at,
            'user_type'         => $casestudy->user_type,
            'url'               => [
                'public'    => trans_url('casestudy/'.$casestudy->getPublicKey()),
                'user'      => guard_url('casestudy/casestudy/'.$casestudy->getRouteKey()),
            ], 
            'status'            => trans('app.'.$casestudy->status),
            'created_at'        => format_date($casestudy->created_at),
            'updated_at'        => format_date($casestudy->updated_at),
        ];
    }
}